Talkr AI
API ReferenceAgents

Archive Agent

Archive or restore a voice agent

Send {"status": "archived"} to deactivate an agent, or {"status": "active"} to restore it. Archived agents cannot receive calls but their history and definition are preserved.

PUT
/api/v1/workflow/{workflow_id}/status

Path Parameters

workflow_id*Workflow Id

Header Parameters

authorization?string|null
X-API-Key?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/api/v1/workflow/0/status" \  -H "Content-Type: application/json" \  -d '{    "status": "string"  }'
{  "id": 0,  "name": "string",  "status": "string",  "created_at": "2019-08-24T14:15:22Z",  "workflow_definition": {},  "current_definition_id": 0,  "template_context_variables": {},  "call_disposition_codes": {    "disposition_codes": []  },  "total_runs": 0,  "workflow_configurations": {},  "version_number": 0,  "version_status": "string",  "workflow_uuid": "string"}